[geos-commits] [SCM] GEOS branch master updated. fa27712c5fbe933c507a2652512b894820c0f290

git at osgeo.org git at osgeo.org
Tue Feb 18 20:18:25 PST 2020


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GEOS".

The branch, master has been updated
       via  fa27712c5fbe933c507a2652512b894820c0f290 (commit)
       via  31c395e0d6d8094e400b51621e631bad5a37d4ef (commit)
      from  9a6279fda34feb2acde8650f14f9c051e9fec60e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit fa27712c5fbe933c507a2652512b894820c0f290
Merge: 9a6279f 31c395e
Author: Regina Obe <lr at pcorp.us>
Date:   Tue Feb 18 20:18:23 2020 -0800

    Merge branch 'posix' of mwtoews/geos into master
    
    switch ci to sh from bash


commit 31c395e0d6d8094e400b51621e631bad5a37d4ef
Author: Mike Taves <mwtoews at gmail.com>
Date:   Wed Feb 19 11:32:49 2020 +1300

    Convert tools/ci to use POSIX Shell instead of Bash

diff --git a/tools/ci/bessie.sh b/tools/ci/bessie.sh
old mode 100644
new mode 100755
index 2ffe8cb..502f60f
--- a/tools/ci/bessie.sh
+++ b/tools/ci/bessie.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # FreeBSD 64 (bessie) CI script runner for GEOS
 #
diff --git a/tools/ci/bessie32.sh b/tools/ci/bessie32.sh
old mode 100644
new mode 100755
index de70378..193034d
--- a/tools/ci/bessie32.sh
+++ b/tools/ci/bessie32.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # FreeBSD 32 (bessie32) CI script runner for GEOS
 #
diff --git a/tools/ci/common.sh b/tools/ci/common.sh
old mode 100644
new mode 100755
index 91deae1..08c0651
--- a/tools/ci/common.sh
+++ b/tools/ci/common.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # Common utilities for Travis CI setup for GEOS
 #
@@ -9,7 +9,7 @@
 # by the Free Software Foundation.
 # See the COPYING file for more information.
 #
-if [[ "$TRAVIS" != "true" ]] ; then
+if [ "$TRAVIS" != "true" ] ; then
 	echo "Running this script makes no sense outside of travis-ci.org"
 	exit 1
 fi
@@ -17,7 +17,7 @@ fi
 # Environment
 #
 TCI_NUMTHREADS=2
-if [[ -f /sys/devices/system/cpu/online ]]; then
+if [ -f /sys/devices/system/cpu/online ]; then
 	# Calculates 1.5 times physical threads
 	TCI_NUMTHREADS=$(( ( $(cut -f 2 -d '-' /sys/devices/system/cpu/online) + 1 ) * 15 / 10  ))
 fi
diff --git a/tools/ci/script.sh b/tools/ci/script.sh
index 2a18947..1e646ab 100755
--- a/tools/ci/script.sh
+++ b/tools/ci/script.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # Travis CI script runner for GEOS
 #
@@ -9,10 +9,17 @@
 # by the Free Software Foundation. 
 # See the COPYING file for more information.
 #
-source ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
+
+if [ -z "${TRAVIS_BUILD_DIR+x}" ]; then
+  echo TRAVIS_BUILD_DIR not defined
+  exit 1
+fi
+
+# source common functions
+. ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
 
 # prepare build directory
-builddir="${TRAVIS_BUILD_DIR}/_build"
+builddir=${TRAVIS_BUILD_DIR}/_build
 mkdir -p ${builddir}
 cd ${builddir}
 
diff --git a/tools/ci/script_autotools.sh b/tools/ci/script_autotools.sh
index 1cb8804..b8b1cd8 100755
--- a/tools/ci/script_autotools.sh
+++ b/tools/ci/script_autotools.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # Travis CI script for GEOS build with GNU Autotools
 #
@@ -9,7 +9,14 @@
 # by the Free Software Foundation.
 # See the COPYING file for more information.
 #
-source ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
+
+if [ -z "${TRAVIS_BUILD_DIR+x}" ]; then
+  echo TRAVIS_BUILD_DIR not defined
+  exit 1
+fi
+
+# source common functions
+. ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
 
 cd ${TRAVIS_BUILD_DIR}
 ./autogen.sh
diff --git a/tools/ci/script_autotools_scanbuild.sh b/tools/ci/script_autotools_scanbuild.sh
index ffcec64..3cbb8bb 100755
--- a/tools/ci/script_autotools_scanbuild.sh
+++ b/tools/ci/script_autotools_scanbuild.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # Travis CI script for GEOS build with GNU Autotools
 #
@@ -9,7 +9,14 @@
 # by the Free Software Foundation.
 # See the COPYING file for more information.
 #
-source ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
+
+if [ -z "${TRAVIS_BUILD_DIR+x}" ]; then
+  echo TRAVIS_BUILD_DIR not defined
+  exit 1
+fi
+
+# source common functions
+. ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
 
 cd ${TRAVIS_BUILD_DIR}
 ./autogen.sh
diff --git a/tools/ci/script_cmake.sh b/tools/ci/script_cmake.sh
index 287abda..b812cb5 100755
--- a/tools/ci/script_cmake.sh
+++ b/tools/ci/script_cmake.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/sh
 #
 # Travis CI script for GEOS build with CMake
 #
@@ -9,7 +9,14 @@
 # by the Free Software Foundation.
 # See the COPYING file for more information.
 #
-source ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
+
+if [ -z "${TRAVIS_BUILD_DIR+x}" ]; then
+  echo TRAVIS_BUILD_DIR not defined
+  exit 1
+fi
+
+# source common functions
+. ${TRAVIS_BUILD_DIR}/tools/ci/common.sh
 
 cmake --version
 
@@ -19,5 +26,6 @@ cmake --build . --target docs
 ctest --output-on-failure .
 
 if [ "${BUILD_TYPE}" = "Coverage" ]; then
-    bash <(curl -s https://codecov.io/bash)
+    curl -o codecov.sh https://codecov.io/bash
+    bash codecov.sh
 fi

-----------------------------------------------------------------------

Summary of changes:
 tools/ci/bessie.sh                     |  2 +-
 tools/ci/bessie32.sh                   |  2 +-
 tools/ci/common.sh                     |  6 +++---
 tools/ci/script.sh                     | 13 ++++++++++---
 tools/ci/script_autotools.sh           | 11 +++++++++--
 tools/ci/script_autotools_scanbuild.sh | 11 +++++++++--
 tools/ci/script_cmake.sh               | 14 +++++++++++---
 7 files changed, 44 insertions(+), 15 deletions(-)
 mode change 100644 => 100755 tools/ci/bessie.sh
 mode change 100644 => 100755 tools/ci/bessie32.sh
 mode change 100644 => 100755 tools/ci/common.sh


hooks/post-receive
-- 
GEOS


More information about the geos-commits mailing list